{"openapi":"3.0.0","info":{"title":"5centsCDN - Zones","description":"API for managing Zones in <a href=\"https://www.5centscdn.net\" target=\"_blank\">5centsCDN</a>","version":"2.0.0","contact":{"email":"help@5centscdn.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"servers":[{"url":"https://api.5centscdn.com/v2","description":"5centsCDN API Server - Production"}],"security":[{"ApiKeyAuth":[]}],"tags":[{"name":"List Zones","description":"list all zones"},{"name":"HTTP Push Zones","description":"endpoints related to  HTTP Push zones"},{"name":"HTTP Pull Zones","description":"endpoints related to  HTTP Pull zones"},{"name":"VOD Push Zones","description":"endpoints related to  VOD Push zones"},{"name":"VOD Pull Zones","description":"endpoints related to  VOD Pull zones"},{"name":"Reports - Standard","description":"Reports for Standard Network"},{"name":"Reports - Volume/Premium","description":"Reports for Volume/Premium Network"},{"name":"Reports - Enterprise","description":"Reports for Enterprise Network"},{"name":"HTTP Zones Global Settings","description":"Global HTTP Zones Settings"},{"name":"VOD Zones Global Settings","description":"Global VOD Zones Settings"}],"paths":{"/zones":{"get":{"tags":["List Zones"],"summary":"Zones","description":"Return all zones","operationId":"zonesList","deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zones":{"type":"array","items":{"$ref":"#/components/schemas/zoneResult"}}}}}}}}}},"/zones/http/push":{"get":{"tags":["HTTP Push Zones"],"summary":"Zone","description":"Return  HTTP push zone details","operationId":"zonePushList","deprecated":false,"parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zones":{"type":"array","items":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}}},"/zones/http/push/servers":{"get":{"tags":["HTTP Push Zones"],"summary":"Get Servers","description":"HTTP Push Zone Servers","operationId":"HTTPPushZoneServer","deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"servers":{"type":"array","items":{"$ref":"#/components/schemas/serversResult"}}}}}}}}}},"/zones/http/push/new":{"post":{"tags":["HTTP Push Zones"],"summary":"Create Zone","description":"Create a new HTTP Push Zone","operationId":"createZonePush","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createZonePush"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}":{"get":{"tags":["HTTP Push Zones"],"summary":"Zone","description":"Return  HTTP push zone details","operationId":"getDetailsZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}},"post":{"tags":["HTTP Push Zones"],"summary":"Update Info","description":"Update the information of HTTP Push Zone","operationId":"updateZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZone"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}},"delete":{"tags":["HTTP Push Zones"],"summary":"Delete Info","description":"Delete the information of HTTP Push Zone. To cast request method POST and parameters _METHOD = DELETE","operationId":"deletZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/push/{zoneid}/ssl":{"post":{"tags":["HTTP Push Zones"],"summary":"Update SSL","description":"Update SSL of HTTP push zone","operationId":"updateSslZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneSSL"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/securetoken":{"post":{"tags":["HTTP Push Zones"],"summary":"Update Secure Token","description":"Update SecureToken of HTTP push zone","operationId":"updateSecureTokenZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPushZoneSecuretoken"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/geoblock":{"post":{"tags":["HTTP Push Zones"],"summary":"Update Geoblock","description":"Update geblock of HTTP push zone","operationId":"updateGeblockZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zoneshttppushnew_geoblock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/domainlock":{"post":{"tags":["HTTP Push Zones"],"summary":"Update Domain Lock","description":"Update domain lock of HTTP push zone","operationId":"updateDomainLockZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postDomainLock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/edge":{"post":{"tags":["HTTP Push Zones"],"summary":"Update Edge Settings","description":"Update Edge settings of HTTP push zone","operationId":"updateEdgeSettingsZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zoneshttppushnew_edge"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/cache":{"post":{"tags":["HTTP Push Zones"],"summary":"Update Cache","description":"Update cache of HTTP Push Zone","operationId":"updateCacheZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCache"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/restore":{"get":{"tags":["HTTP Push Zones"],"summary":"Restore","description":"Restore HTTP push zone","operationId":"restoreZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/push/{zoneid}/purge":{"post":{"tags":["HTTP Push Zones"],"summary":"Zone Cache Purge","description":"Purge cache of a HTTP push zone","operationId":"zonePushCachePurge","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"in":"query","name":"delete","schema":{"type":"string","example":true,"description":"true - delete the cache false - invalidate the cache (default)"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPurge"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/push/{zoneid}/bwlimit":{"post":{"tags":["HTTP Push Zones"],"summary":"Update bandwidth limit","description":"Update bandwidth limit of HTTP push zone","operationId":"updateBwLimitZonePush","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneBwlimit"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePushResult"}}}}}}}}},"/zones/http/push/{zoneid}/import":{"post":{"tags":["HTTP Push Zones"],"summary":"Import HTTP Push Zone","description":"Import HTTP Push Zone","operationId":"importHTTPPushZones","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPushZoneImport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/push/{zoneid}/filemanager/list":{"get":{"tags":["HTTP Push Zones"],"summary":"Zone File Manager List","description":"Zone File Manager List","operationId":"zonePushFilemanagerList","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/dirParam"},{"$ref":"#/components/parameters/queryParam"},{"$ref":"#/components/parameters/markerParam"},{"$ref":"#/components/parameters/endmarkerParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"}}}}}}}}}},"/zones/http/push/{zoneid}/filemanager/info":{"get":{"tags":["HTTP Push Zones"],"summary":"Zone File Manager  info","description":"Zone File Manager info","operationId":"zonePushFilemanagerInfo","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/fileParam"},{"$ref":"#/components/parameters/mediaParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"}}}}}}}}}},"/zones/http/pull":{"get":{"tags":["HTTP Pull Zones"],"summary":"Zone","description":"Zone HTTP Pull list","operationId":"zonePullList","deprecated":false,"parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zones":{"type":"array","items":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}}},"/zones/http/pull/new":{"post":{"tags":["HTTP Pull Zones"],"summary":"Create Zone","description":"Create a new HTTP Pull Zone","operationId":"createZonePull","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createPullZone"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}":{"get":{"tags":["HTTP Pull Zones"],"summary":"Zone","description":"Return  HTTP pull zone details","operationId":"getZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}},"post":{"tags":["HTTP Pull Zones"],"summary":"Update Info","description":"update the information of  HTTP pull Zone","operationId":"updateZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPullZone"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}},"delete":{"tags":["HTTP Pull Zones"],"summary":"Delete Info","description":"Delete the information of HTTP pull Zone. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/pull/{zoneid}/purge":{"post":{"tags":["HTTP Pull Zones"],"summary":"Purge","description":"Purge cache of a HTTP pull zone","operationId":"zoneCachePurgeZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"in":"query","name":"delete","schema":{"type":"string","example":true,"description":"true - delete the cache false - invalidate the cache (default)"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPurge"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/pull/{zoneid}/ssl":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update SSL","description":"Update SSL of HTTP pull zone","operationId":"updateSslZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneSSL"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}}},"/zones/http/pull/{zoneid}/securetoken":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Secure Token","description":"Update SecureToken of HTTP pull zone","operationId":"updateSecureTokenZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneSecureToken"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/seo":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Seo","description":"Update Seo of HTTP pull zone","operationId":"updateSeoZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneSeo"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/originip":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update originip","description":"Update originip of HTTP pull zone","operationId":"updateOriginipZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneOriginip"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/bwlimit":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Bandwidth limit","description":"Update Bandwidth limit of HTTP pull zone","operationId":"updatebwlimitZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneBwlimit"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/edge":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Edge Settings","description":"Update Edge settings of HTTP record zone","operationId":"updateEdgeSettingsZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneEdge"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/shield":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update shield Settings","description":"Update shield settings of HTTP record zone","operationId":"updateShieldSettingsZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/shieldList"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/domainlock":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Domain Lock","description":"Update Domain lock of HTTP pull zone","operationId":"updateDomainLockZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postDomainLock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/geoblock":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Geoblock","description":"Update Geoblock of HTTP pull zone","operationId":"updateGeoblockZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zoneshttppushnew_geoblock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/http/pull/{zoneid}/restore":{"get":{"tags":["HTTP Pull Zones"],"summary":"Restore","description":"Restore HTTP pull zone","operationId":"restoreZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/http/pull/{zoneid}/cache":{"post":{"tags":["HTTP Pull Zones"],"summary":"Update Cache","description":"Update Cache HTTP Push Zone","operationId":"updateCacheZonePull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCache"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zonePullResult"}}}}}}}}},"/zones/vod/push":{"get":{"tags":["VOD Push Zones"],"summary":"VoD Push","description":"Return VoD Push zones","operationId":"zoneVodPushList","deprecated":false,"parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zones":{"type":"array","items":{"$ref":"#/components/schemas/zoneVodPushResult"}}}}}}}}}},"/zones/vod/push/servers":{"get":{"tags":["VOD Push Zones"],"summary":"Get Servers","description":"Vod Push Zone Servers","operationId":"VodPushZoneServer","deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"servers":{"type":"array","items":{"$ref":"#/components/schemas/serversResult"}}}}}}}}}},"/zones/vod/push/new":{"post":{"tags":["VOD Push Zones"],"summary":"Create Zone","description":"Create a new VOD push Zone","operationId":"createZoneVodPush","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostPushVod"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}}},"/zones/vod/push/{zoneid}":{"get":{"tags":["VOD Push Zones"],"summary":"Zone","description":"Return  VoD push zone details","operationId":"getVodZone","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}},"post":{"tags":["VOD Push Zones"],"summary":"Update Info","description":"Update information of a VoD Push zone","operationId":"updateInfoZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneVodPush"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}},"delete":{"tags":["VOD Push Zones"],"summary":"Delete Info","description":"Delete information of a VoD Push zone. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteInfoZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/push/{zoneid}/ssl":{"post":{"tags":["VOD Push Zones"],"summary":"Update SSL","description":"Update SSL of VoD push zone","operationId":"updateSslZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneSSL"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}}},"/zones/vod/push/{zoneid}/restore":{"get":{"tags":["VOD Push Zones"],"summary":"Restore","description":"Restore VoD push zone","operationId":"restoreZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/push/{zoneid}/purge":{"post":{"tags":["VOD Push Zones"],"summary":"Purge","description":"Purge cache of a VoD Push zone","operationId":"zoneVodCachePurge","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"in":"query","name":"delete","schema":{"type":"string","example":true,"description":"true - delete the cache false - invalidate the cache (default)"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPurge"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/push/{zoneid}/geoblock":{"post":{"tags":["VOD Push Zones"],"summary":"Update Geoblock","description":"Update Geoblock of VoD push zone","operationId":"updateGeoblockZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlockVodPush"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"}}}}}}}}},"/zones/vod/push/{zoneid}/eac":{"post":{"tags":["VOD Push Zones"],"summary":"Update External Auth Control","description":"Update External auth control for  of VoD push zone","operationId":"updateExternalAuthControlZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postEac"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"}}}}}}}}},"/zones/vod/push/{zoneid}/edge":{"post":{"tags":["VOD Push Zones"],"summary":"Update Edge Settings","description":"Update Edge settings of VoD push zone","operationId":"updateEdgeSettingsZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postEdgePull"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"}}}}}}}}},"/zones/vod/push/{zoneid}/domainlock":{"post":{"tags":["VOD Push Zones"],"summary":"Update Domain Lock","description":"Update Domain lock of VoD push zone","operationId":"updateDomainLockZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postDomainLock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"}}}}}}}}},"/zones/vod/push/{zoneid}/securetoken":{"post":{"tags":["VOD Push Zones"],"summary":"Update Securetoken","description":"Update Securetoken of VoD push zone","operationId":"updateSecuretokenZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPushZoneSecuretoken"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPushResult"}}}}}}}}},"/zones/vod/push/{zoneid}/import":{"post":{"tags":["VOD Push Zones"],"summary":"Import VOD Push Zone","description":"Import VOD Push Zone","operationId":"importVODPushZones","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPushZoneImport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/push/{zoneid}/filemanager/list":{"get":{"tags":["VOD Push Zones"],"summary":"Zone filemanager List","description":"Zone filemanager List","operationId":"zoneVodPushFilemanager","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/dirParam"},{"$ref":"#/components/parameters/queryParam"},{"$ref":"#/components/parameters/markerParam"},{"$ref":"#/components/parameters/endmarkerParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"}}}}}}}}}},"/zones/vod/push/{zoneid}/filemanager/info":{"get":{"tags":["VOD Push Zones"],"summary":"Zone filemanager info","description":"Zone filemanager info","operationId":"zoneVodPushFilemanagerInfo","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/fileParam"},{"$ref":"#/components/parameters/mediaParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"}}}}}}}}}},"/zones/vod/pull":{"get":{"tags":["VOD Pull Zones"],"summary":"VoD Pull","description":"Return VoD Pull zones","operationId":"zoneVodPullList","deprecated":false,"parameters":[{"in":"query","name":"page","schema":{"type":"integer","description":"The page number of the result. One page contains 20 results."}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zones":{"type":"array","items":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}}},"/zones/vod/pull/new":{"post":{"tags":["VOD Pull Zones"],"summary":"Create Zone","description":"Create a new VOD pull Zone","operationId":"createzonevodpull","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createPullvod"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}}},"/zones/vod/pull/{zoneid}":{"get":{"tags":["VOD Pull Zones"],"summary":"Zone","description":"Return  VoD pull zone details","operationId":"getVodzonepull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}},"post":{"tags":["VOD Pull Zones"],"summary":"Update Info","description":"Update information of a VoD Pull zone","operationId":"updateInfoZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneVodPull"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}},"delete":{"tags":["VOD Pull Zones"],"summary":"Delete Info","description":"Delete information of a VoD Pull zone. To cast request method POST and parameters _METHOD = DELETE","operationId":"deleteInfoZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/pull/{zoneid}/ssl":{"post":{"tags":["VOD Pull Zones"],"summary":"Update SSL","description":"Update SSL of VoD pull zone","operationId":"updateSslZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postZoneSSL"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"},"warnings":{"type":"array","items":{"type":"string"}}}}}}}}}},"/zones/vod/pull/{zoneid}/restore":{"get":{"tags":["VOD Pull Zones"],"summary":"Restore","description":"Restore VoD pull zone","operationId":"restoreZonevodpull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/pull/{zoneid}/purge":{"post":{"tags":["VOD Pull Zones"],"summary":"Purge","description":"Purge cache of a VoD pull zone","operationId":"zoneVodPullCachePurge","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"in":"query","name":"delete","schema":{"type":"string","example":true,"description":"true - delete the cache false - invalidate the cache (default)"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPurge"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"}}}}}}}}},"/zones/vod/pull/{zoneid}/geoblock":{"post":{"tags":["VOD Pull Zones"],"summary":"Update Geoblock","description":"Update Geoblock of VoD pull zone","operationId":"updateGeoblockZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostGeoBlock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}},"/zones/vod/pull/{zoneid}/shield":{"post":{"tags":["VOD Pull Zones"],"summary":"Update shield Settings","description":"Update shield settings of VOD record zone","operationId":"updateShieldSettingsZoneVod","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/shieldList"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}},"/zones/vod/pull/{zoneid}/eac":{"post":{"tags":["VOD Pull Zones"],"summary":"Update External Auth Control","description":"Update External auth control for  of VoD push zone","operationId":"updateExternalAuthControlZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postEac"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}},"/zones/vod/pull/{zoneid}/edge":{"post":{"tags":["VOD Pull Zones"],"summary":"Update Edge Settings","description":"Update Edge settings of VoD push zone","operationId":"updateEdgeSettingsZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postEdgePull"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}},"/zones/vod/pull/{zoneid}/domainlock":{"post":{"tags":["VOD Pull Zones"],"summary":"Update Domain Lock","description":"Update Domain lock of VoD push zone","operationId":"updateDomainLockZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postDomainLock"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}},"/zones/vod/pull/{zoneid}/securetoken":{"post":{"tags":["VOD Pull Zones"],"summary":"Update Securetoken","description":"Update securetoken of VoD push zone","operationId":"updateSecuretokenZoneVodPull","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSecureToken"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"message":{"type":"string"},"zone":{"$ref":"#/components/schemas/zoneVodPullResult"}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/stats":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push Summary","description":"Get reports of zone push Summary","operationId":"reportsByZonePushSummary","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSummaryReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"$ref":"#/components/schemas/SummaryReportResult"}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/cache":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push  Cache Statistics","description":"Get reports of zone push Summary","operationId":"reportsByZonePushCache","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCacheReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"cache_statistics":{"$ref":"#/components/schemas/cache_statistic_List"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/topfiles":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push Top Files","description":"Get reports of zone top files","operationId":"reportsByZonePushTopFiles","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PosttopfilesReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"top_files":{"$ref":"#/components/schemas/top_filesList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/topreferrers":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push Top Referrers","description":"Get reports of zone top referrers","operationId":"reportsByZonePushTopReferrers","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostTopReferrersReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"top_referrers":{"$ref":"#/components/schemas/top_referrersList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/statuscodes":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push Status Codes","description":"Get reports of zone push Status Codes","operationId":"reportsByZonePushStatusCode","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"status_codes":{"$ref":"#/components/schemas/statusCodesList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/countries":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push countries","description":"Get reports of zone push countries","operationId":"reportsByZonePushCountries","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"countries":{"$ref":"#/components/schemas/countriesList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/browsers":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push browsers","description":"Get reports of zone push browsers","operationId":"reportsByZonePushBrowsers","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"browsers":{"$ref":"#/components/schemas/browsersList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/os":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push os","description":"Get reports of zone push os","operationId":"reportsByZonePushOS","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"os":{"$ref":"#/components/schemas/osList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/standard/visitors":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone push visitors","description":"Get reports of zone push visitors","operationId":"reportsByZonePushVisitors","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"visitors":{"$ref":"#/components/schemas/visitorsList"}}}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/traffic":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push traffic","description":"Get reports of zone push traffic","operationId":"reportsAkamaiByZonePushTraffic","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostReportTraffic"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/duv":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push duv","description":"Get reports of zone push duv","operationId":"reportsAkamaiByZonePushDuv","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/topvisitors":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push topvisitors","description":"Get reports of zone push topvisitors","operationId":"reportsAkamaiByZonePushTopVisitors","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/bybo":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push bybo","description":"Get reports of zone push bybo","operationId":"reportsAkamaiByZonePushBybo","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/bygeo":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push bygeo","description":"Get reports of zone push bygeo","operationId":"reportsAkamaiByZonePushBygeo","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/uv":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push uv","description":"Get reports of zone push uv","operationId":"reportsAkamaiByZonePushUv","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/typeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/urlresponse":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push urlresponse","description":"Get reports of zone push urlresponse","operationId":"reportsAkamaiByZonePushUrlResponse","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/modeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/enterprise/urltraffic":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone push urltraffic","description":"Get reports of zone push urltraffic","operationId":"reportsAkamaiByZonePushUrlTraffic","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/modeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/stats":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull Summary","description":"Get reports of zone pull Summary","operationId":"reportsByZonePullSummary","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSummaryReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"$ref":"#/components/schemas/SummaryReportResult"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/cache":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull cache","description":"Get reports of zone pull cache","operationId":"reportsByZonePullCache","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCacheReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"cache_statistics":{"$ref":"#/components/schemas/cache_statistic_List"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/topfiles":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull topfiles","description":"Get reports of zone pull topfiles","operationId":"reportsByZonePullTopfiles","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PosttopfilesReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"top_files":{"$ref":"#/components/schemas/top_filesList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/topreferrers":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull topreferrers","description":"Get reports of zone pull topreferrers","operationId":"reportsByZonePullTopReferrers","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostTopReferrersReport"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"top_referrers":{"$ref":"#/components/schemas/top_referrersList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/statuscodes":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull statuscodes","description":"Get reports of zone pull statuscodes","operationId":"reportsByZonePullStatusCodes","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"status_codes":{"$ref":"#/components/schemas/statusCodesList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/countries":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull country","description":"Get reports of zone pull country","operationId":"reportsByZonePullCountry","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"countries":{"$ref":"#/components/schemas/countriesList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/browsers":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull browsers","description":"Get reports of zone browsers","operationId":"reportsByZonePullBrowsers","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"browsers":{"$ref":"#/components/schemas/browsersList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/os":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull os","description":"Get reports of zone os","operationId":"reportsByZonePullOS","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"os":{"$ref":"#/components/schemas/osList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/standard/visitors":{"post":{"tags":["Reports - Standard"],"summary":"Reports by zone pull visitors","description":"Get reports of zone visitors","operationId":"reportsByZonePullVisitors","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poststatuscodes"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"},"stats":{"type":"object","properties":{"visitors":{"$ref":"#/components/schemas/visitorsList"}}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/stats":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Statistics","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"Month/Granularity, Granularity can be daily/hourly","example":"2022-05-15 00:00:00/daily"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"requests":{"total":[{"date":"2022-05-01","value":53332},{"date":"2022-05-02","value":126709},{"date":"2022-05-03","value":1029}]},"summary":{"requests":{"total":941480},"caching":{"hits":558613,"misses":150823},"bandwidth":{"delivered":464503279802}},"caching":{"hits":[{"date":"2022-05-01","value":32290},{"date":"2022-05-02","value":77633},{"date":"2022-05-03","value":323}],"misses":[{"date":"2022-05-01","value":8862},{"date":"2022-05-02","value":19329},{"date":"2022-05-03","value":162}]},"bandwidth":{"delivered":[{"date":"2022-05-01","value":23128079844},{"date":"2022-05-02","value":63381149731},{"date":"2022-05-03","value":182487735}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/cache":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Cache","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/0/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/0/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"cache_statistics":{"cache_statistic_line_chart":{"0":{"date":"2022-05-04","region":"Asia","ratio":"55.91%","hit":63284,"miss":16409,"total":113193,"others":33500,"bytes":32406624468},"1":{"date":"2022-05-05","region":"Asia","ratio":"60.72%","hit":71092,"miss":17546,"total":117085,"others":28447,"bytes":37182199418},"2":{"date":"2022-05-04","region":"Europe","ratio":"0%","hit":0,"miss":0,"total":0,"others":0,"bytes":18566154014},"3":{"date":"2022-05-05","region":"Europe","ratio":"27.59%","hit":8,"miss":13,"total":29,"others":8,"bytes":19793058339}},"cache_statistic_table":[{"hit":134376,"miss":33955,"others":61947,"total":230278,"bytes":69588823886,"region":"Asia","ratio":85.25},{"hit":8,"miss":13,"others":8,"total":29,"bytes":38359212353,"region":"Europe","ratio":55.17}]}},"edgegroups":{"africa":"Africa","asia":"Asia","au":"Australia","cis":"CIS","eu":"Europe","latam":"Latin America","me":"Middle East","na":"North America","ru":"Russia","sa":"South Africa"}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/topfiles":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Top Files","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"from/to/type, type -> dynamic","example":"/2022-05-04/2022-05-05/dynamic"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"top_files":{"top_fifty_files_table":[{"visitors":81,"requests":84630,"bytes":21934215724,"url":"/live/stream1/"},{"visitors":37,"requests":14320,"bytes":7052269941,"url":"/live/stream2/"}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/statuscodes":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Status Codes","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"status_codes":{"status_code_line_chart":[{"date":"2022-05-04","request":112273,"code":"responses_2xx"},{"date":"2022-05-05","request":116232,"code":"responses_2xx"},{"date":"2022-05-04","request":0,"code":"responses_3xx"},{"date":"2022-05-05","request":0,"code":"responses_3xx"},{"date":"2022-05-04","request":920,"code":"responses_4xx"},{"date":"2022-05-05","request":882,"code":"responses_4xx"},{"date":"2022-05-04","request":0,"code":"responses_5xx"},{"date":"2022-05-05","request":0,"code":"responses_5xx"}],"status_code_table":[{"code":"responses_2xx","request":228505},{"code":"responses_3xx","request":0},{"code":"responses_4xx","request":1802},{"code":"responses_5xx","request":0}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/countries":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Country","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"countries":{"country_table":[{"visitors":245,"requests":229685,"bytes":69379380648,"country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"country":"SA Saudi Arabia"}],"country_line_chart":[{"visitors":138,"requests":112994,"bytes":32385578696,"date":"2022-05-04","country":"IN India"},{"visitors":122,"requests":116691,"bytes":36993801952,"date":"2022-05-05","country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"date":"2022-05-05","country":"SA Saudi Arabia"}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/browsers":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Browsers","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"browsers":{"browser_table":[{"visitors":213,"requests":214486,"bytes":64268377830,"browser":"Chrome"},{"visitors":16,"requests":9195,"bytes":3330847111,"browser":"Safari"},{"visitors":8,"requests":2054,"bytes":903249408,"browser":"IE"},{"visitors":2,"requests":3924,"bytes":864915608,"browser":"Firefox"},{"visitors":3,"requests":42,"bytes":19841047,"browser":"Unknown"},{"visitors":2,"requests":11,"bytes":8349,"browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"browser":"Samsung"}],"browser_line_chart":[{"visitors":124,"requests":109313,"bytes":31381745032,"date":"2022-05-04","browser":"Chrome"},{"visitors":6,"requests":2768,"bytes":693946688,"date":"2022-05-04","browser":"Safari"},{"visitors":4,"requests":850,"bytes":281257186,"date":"2022-05-04","browser":"IE"},{"visitors":2,"requests":39,"bytes":18424291,"date":"2022-05-04","browser":"Unknown"},{"visitors":1,"requests":20,"bytes":10202463,"date":"2022-05-04","browser":"Firefox"},{"visitors":1,"requests":4,"bytes":3036,"date":"2022-05-04","browser":"Opera"},{"visitors":101,"requests":105173,"bytes":32886632798,"date":"2022-05-05","browser":"Chrome"},{"visitors":10,"requests":6427,"bytes":2636900423,"date":"2022-05-05","browser":"Safari"},{"visitors":2,"requests":3904,"bytes":854713145,"date":"2022-05-05","browser":"Firefox"},{"visitors":6,"requests":1204,"bytes":621992222,"date":"2022-05-05","browser":"IE"},{"visitors":1,"requests":3,"bytes":1416756,"date":"2022-05-05","browser":"Unknown"},{"visitors":1,"requests":7,"bytes":5313,"date":"2022-05-05","browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"date":"2022-05-05","browser":"Samsung"}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/os":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By OS","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"os":{"os_table":[{"visitors":112,"requests":123945,"bytes":34166160551,"os":"Windows"},{"visitors":89,"requests":62856,"bytes":21031326081,"os":"Android"},{"visitors":17,"requests":22333,"bytes":6543538494,"os":"MacOSX"},{"visitors":7,"requests":14370,"bytes":5052390574,"os":"Linux"},{"visitors":20,"requests":6205,"bytes":2593806355,"os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"os":"Unknown"}],"os_line_chart":[{"visitors":57,"requests":57426,"bytes":15943263705,"date":"2022-05-04","os":"Windows"},{"visitors":53,"requests":31715,"bytes":9237156094,"date":"2022-05-04","os":"Android"},{"visitors":13,"requests":14483,"bytes":4030945302,"date":"2022-05-04","os":"MacOSX"},{"visitors":4,"requests":7423,"bytes":2461905553,"date":"2022-05-04","os":"Linux"},{"visitors":10,"requests":1942,"bytes":712289226,"date":"2022-05-04","os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","os":"Unknown"},{"visitors":64,"requests":66519,"bytes":18222896846,"date":"2022-05-05","os":"Windows"},{"visitors":42,"requests":31141,"bytes":11794169987,"date":"2022-05-05","os":"Android"},{"visitors":3,"requests":6947,"bytes":2590485021,"date":"2022-05-05","os":"Linux"},{"visitors":4,"requests":7850,"bytes":2512593192,"date":"2022-05-05","os":"MacOSX"},{"visitors":10,"requests":4263,"bytes":1881517129,"date":"2022-05-05","os":"iOS"}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/devices":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Device","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"device":{"device_table":[{"visitors":136,"requests":160648,"bytes":45762089619,"device":"Computer"},{"visitors":109,"requests":69061,"bytes":23625132436,"device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"device":"Tablet"}],"device_line_chart":[{"visitors":74,"requests":79332,"bytes":22436114560,"date":"2022-05-04","device":"Computer"},{"visitors":63,"requests":33657,"bytes":9949445320,"date":"2022-05-04","device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","device":"Tablet"},{"visitors":71,"requests":81316,"bytes":23325975059,"date":"2022-05-05","device":"Computer"},{"visitors":52,"requests":35404,"bytes":13675687116,"date":"2022-05-05","device":"Phone"}]}}}}}}}}},"/zones/reports/http/pull/{zoneid}/premium/logs":{"get":{"tags":["Reports - Volume/Premium"],"summary":"CDN Logs","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"from","in":"query","schema":{"type":"string"},"example":"2022-05-06T06:00:00Z"},{"name":"to","in":"query","schema":{"type":"string"},"example":"2022-05-06T07:00:00Z"},{"name":"limit","in":"query","schema":{"type":"integer"},"description":"max: 1000","example":"100"},{"name":"offset","in":"query","schema":{"type":"integer"},"example":"0"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"examples":{"example-0":{"summary":"Error","value":{"status":400,"message":"bad value: range should be less than 6h0m0s"}},"example-1":{"summary":"Success","value":{"data":[{"timestamp":1651819759,"client_ip":"2405:201:c020:fb61:a078:d82d:52cc:c990","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream1/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.54 Safari/537.36","status":200,"size":693,"cache_status":"STALE","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":14},{"timestamp":1651819759,"client_ip":"2405:201:c020:511d:addc:bddd:3149:62d4","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream2/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.54 Safari/537.36","status":200,"size":691,"cache_status":"HIT","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":33},{"timestamp":1651819759,"client_ip":"2405:201:c014:2ca2:c509:dfbc:9dd8:e1e0","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream1/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/100.0.4896.127 Safari/537.36","status":200,"size":691,"cache_status":"HIT","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":14}],"meta":{"count":21760}}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/traffic":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull traffic","description":"Get reports of zone pull traffic","operationId":"reportsAkamaiByZonePullTraffic","parameters":[{"$ref":"#/components/parameters/zoneIdParam"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostReportTraffic"}}}},"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/duv":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull duv","description":"Get reports of zone pull duv","operationId":"reportsAkamaiByZonePullDuv","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/topvisitors":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull topvisitors","description":"Get reports of zone pull topvisitors","operationId":"reportsAkamaiByZonePullTopvisitors","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/bybo":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull bybo","description":"Get reports of zone pull bybo","operationId":"reportsAkamaiByZonePullBybo","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/bygeo":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull bygeo","description":"Get reports of zone pull bygeo","operationId":"reportsAkamaiByZonePullBygeo","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/rangeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/uv":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull uv","description":"Get reports of zone pull uv","operationId":"reportsAkamaiByZonePullUv","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/typeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/urlresponse":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull urlresponse","description":"Get reports of zone pull urlresponse","operationId":"reportsAkamaiByZonePullUrlresponse","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/modeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/pull/{zoneid}/enterprise/urltraffic":{"post":{"tags":["Reports - Enterprise"],"summary":"Reports by zone pull urltraffic","description":"Get reports of zone pull urltraffic","operationId":"reportsAkamaiByZonePullUrltraffic","parameters":[{"$ref":"#/components/parameters/zoneIdParam"},{"$ref":"#/components/parameters/modeParam"}],"deprecated":false,"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","example":"success"}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/stats":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Statistics","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"Month/Granularity, Granularity can be daily/hourly","example":"2022-05-15 00:00:00/daily"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"requests":{"total":[{"date":"2022-05-01","value":53332},{"date":"2022-05-02","value":126709},{"date":"2022-05-03","value":1029}]},"summary":{"requests":{"total":941480},"caching":{"hits":558613,"misses":150823},"bandwidth":{"delivered":464503279802}},"caching":{"hits":[{"date":"2022-05-01","value":32290},{"date":"2022-05-02","value":77633},{"date":"2022-05-03","value":323}],"misses":[{"date":"2022-05-01","value":8862},{"date":"2022-05-02","value":19329},{"date":"2022-05-03","value":162}]},"bandwidth":{"delivered":[{"date":"2022-05-01","value":23128079844},{"date":"2022-05-02","value":63381149731},{"date":"2022-05-03","value":182487735}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/cache":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Cache","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/0/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/0/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"cache_statistics":{"cache_statistic_line_chart":{"0":{"date":"2022-05-04","region":"Asia","ratio":"55.91%","hit":63284,"miss":16409,"total":113193,"others":33500,"bytes":32406624468},"1":{"date":"2022-05-05","region":"Asia","ratio":"60.72%","hit":71092,"miss":17546,"total":117085,"others":28447,"bytes":37182199418},"2":{"date":"2022-05-04","region":"Europe","ratio":"0%","hit":0,"miss":0,"total":0,"others":0,"bytes":18566154014},"3":{"date":"2022-05-05","region":"Europe","ratio":"27.59%","hit":8,"miss":13,"total":29,"others":8,"bytes":19793058339}},"cache_statistic_table":[{"hit":134376,"miss":33955,"others":61947,"total":230278,"bytes":69588823886,"region":"Asia","ratio":85.25},{"hit":8,"miss":13,"others":8,"total":29,"bytes":38359212353,"region":"Europe","ratio":55.17}]}},"edgegroups":{"africa":"Africa","asia":"Asia","au":"Australia","cis":"CIS","eu":"Europe","latam":"Latin America","me":"Middle East","na":"North America","ru":"Russia","sa":"South Africa"}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/topfiles":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Top Files","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"from/to/type, type -> dynamic","example":"/2022-05-04/2022-05-05/dynamic"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"top_files":{"top_fifty_files_table":[{"visitors":81,"requests":84630,"bytes":21934215724,"url":"/live/stream1/"},{"visitors":37,"requests":14320,"bytes":7052269941,"url":"/live/stream2/"}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/statuscodes":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Status Codes","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"status_codes":{"status_code_line_chart":[{"date":"2022-05-04","request":112273,"code":"responses_2xx"},{"date":"2022-05-05","request":116232,"code":"responses_2xx"},{"date":"2022-05-04","request":0,"code":"responses_3xx"},{"date":"2022-05-05","request":0,"code":"responses_3xx"},{"date":"2022-05-04","request":920,"code":"responses_4xx"},{"date":"2022-05-05","request":882,"code":"responses_4xx"},{"date":"2022-05-04","request":0,"code":"responses_5xx"},{"date":"2022-05-05","request":0,"code":"responses_5xx"}],"status_code_table":[{"code":"responses_2xx","request":228505},{"code":"responses_3xx","request":0},{"code":"responses_4xx","request":1802},{"code":"responses_5xx","request":0}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/countries":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Country","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"countries":{"country_table":[{"visitors":245,"requests":229685,"bytes":69379380648,"country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"country":"SA Saudi Arabia"}],"country_line_chart":[{"visitors":138,"requests":112994,"bytes":32385578696,"date":"2022-05-04","country":"IN India"},{"visitors":122,"requests":116691,"bytes":36993801952,"date":"2022-05-05","country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"date":"2022-05-05","country":"SA Saudi Arabia"}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/browsers":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Browsers","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"browsers":{"browser_table":[{"visitors":213,"requests":214486,"bytes":64268377830,"browser":"Chrome"},{"visitors":16,"requests":9195,"bytes":3330847111,"browser":"Safari"},{"visitors":8,"requests":2054,"bytes":903249408,"browser":"IE"},{"visitors":2,"requests":3924,"bytes":864915608,"browser":"Firefox"},{"visitors":3,"requests":42,"bytes":19841047,"browser":"Unknown"},{"visitors":2,"requests":11,"bytes":8349,"browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"browser":"Samsung"}],"browser_line_chart":[{"visitors":124,"requests":109313,"bytes":31381745032,"date":"2022-05-04","browser":"Chrome"},{"visitors":6,"requests":2768,"bytes":693946688,"date":"2022-05-04","browser":"Safari"},{"visitors":4,"requests":850,"bytes":281257186,"date":"2022-05-04","browser":"IE"},{"visitors":2,"requests":39,"bytes":18424291,"date":"2022-05-04","browser":"Unknown"},{"visitors":1,"requests":20,"bytes":10202463,"date":"2022-05-04","browser":"Firefox"},{"visitors":1,"requests":4,"bytes":3036,"date":"2022-05-04","browser":"Opera"},{"visitors":101,"requests":105173,"bytes":32886632798,"date":"2022-05-05","browser":"Chrome"},{"visitors":10,"requests":6427,"bytes":2636900423,"date":"2022-05-05","browser":"Safari"},{"visitors":2,"requests":3904,"bytes":854713145,"date":"2022-05-05","browser":"Firefox"},{"visitors":6,"requests":1204,"bytes":621992222,"date":"2022-05-05","browser":"IE"},{"visitors":1,"requests":3,"bytes":1416756,"date":"2022-05-05","browser":"Unknown"},{"visitors":1,"requests":7,"bytes":5313,"date":"2022-05-05","browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"date":"2022-05-05","browser":"Samsung"}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/os":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By OS","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"os":{"os_table":[{"visitors":112,"requests":123945,"bytes":34166160551,"os":"Windows"},{"visitors":89,"requests":62856,"bytes":21031326081,"os":"Android"},{"visitors":17,"requests":22333,"bytes":6543538494,"os":"MacOSX"},{"visitors":7,"requests":14370,"bytes":5052390574,"os":"Linux"},{"visitors":20,"requests":6205,"bytes":2593806355,"os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"os":"Unknown"}],"os_line_chart":[{"visitors":57,"requests":57426,"bytes":15943263705,"date":"2022-05-04","os":"Windows"},{"visitors":53,"requests":31715,"bytes":9237156094,"date":"2022-05-04","os":"Android"},{"visitors":13,"requests":14483,"bytes":4030945302,"date":"2022-05-04","os":"MacOSX"},{"visitors":4,"requests":7423,"bytes":2461905553,"date":"2022-05-04","os":"Linux"},{"visitors":10,"requests":1942,"bytes":712289226,"date":"2022-05-04","os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","os":"Unknown"},{"visitors":64,"requests":66519,"bytes":18222896846,"date":"2022-05-05","os":"Windows"},{"visitors":42,"requests":31141,"bytes":11794169987,"date":"2022-05-05","os":"Android"},{"visitors":3,"requests":6947,"bytes":2590485021,"date":"2022-05-05","os":"Linux"},{"visitors":4,"requests":7850,"bytes":2512593192,"date":"2022-05-05","os":"MacOSX"},{"visitors":10,"requests":4263,"bytes":1881517129,"date":"2022-05-05","os":"iOS"}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/devices":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Device","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"device":{"device_table":[{"visitors":136,"requests":160648,"bytes":45762089619,"device":"Computer"},{"visitors":109,"requests":69061,"bytes":23625132436,"device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"device":"Tablet"}],"device_line_chart":[{"visitors":74,"requests":79332,"bytes":22436114560,"date":"2022-05-04","device":"Computer"},{"visitors":63,"requests":33657,"bytes":9949445320,"date":"2022-05-04","device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","device":"Tablet"},{"visitors":71,"requests":81316,"bytes":23325975059,"date":"2022-05-05","device":"Computer"},{"visitors":52,"requests":35404,"bytes":13675687116,"date":"2022-05-05","device":"Phone"}]}}}}}}}}},"/zones/reports/http/push/{zoneid}/premium/logs":{"get":{"tags":["Reports - Volume/Premium"],"summary":"CDN Logs","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"from","in":"query","schema":{"type":"string"},"example":"2022-05-06T06:00:00Z"},{"name":"to","in":"query","schema":{"type":"string"},"example":"2022-05-06T07:00:00Z"},{"name":"limit","in":"query","schema":{"type":"integer"},"description":"max: 1000","example":"100"},{"name":"offset","in":"query","schema":{"type":"integer"},"example":"0"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"examples":{"example-0":{"summary":"Error","value":{"status":400,"message":"bad value: range should be less than 6h0m0s"}},"example-1":{"summary":"Success","value":{"data":[{"timestamp":1651819759,"client_ip":"2405:201:c020:fb61:a078:d82d:52cc:c990","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream1/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.54 Safari/537.36","status":200,"size":693,"cache_status":"STALE","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":14},{"timestamp":1651819759,"client_ip":"2405:201:c020:511d:addc:bddd:3149:62d4","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream2/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.54 Safari/537.36","status":200,"size":691,"cache_status":"HIT","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":33},{"timestamp":1651819759,"client_ip":"2405:201:c014:2ca2:c509:dfbc:9dd8:e1e0","cname":"cdn.5centscdn.com","resource_id":18976,"path":"/live/stream1/chunks.m3u8","method":"GET","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/100.0.4896.127 Safari/537.36","status":200,"size":691,"cache_status":"HIT","datacenter":"sg1","referer":"https://www.5centscdn.com/","sent_http_content_type":"application/vnd.apple.mpegurl","tcpinfo_rtt":14}],"meta":{"count":21760}}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/stats":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Statistics","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"Month/Granularity, Granularity can be daily/hourly","example":"2022-05-15 00:00:00/daily"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"requests":{"total":[{"date":"2022-05-01","value":53332},{"date":"2022-05-02","value":126709},{"date":"2022-05-03","value":1029}]},"summary":{"requests":{"total":941480},"caching":{"hits":558613,"misses":150823},"bandwidth":{"delivered":464503279802}},"caching":{"hits":[{"date":"2022-05-01","value":32290},{"date":"2022-05-02","value":77633},{"date":"2022-05-03","value":323}],"misses":[{"date":"2022-05-01","value":8862},{"date":"2022-05-02","value":19329},{"date":"2022-05-03","value":162}]},"bandwidth":{"delivered":[{"date":"2022-05-01","value":23128079844},{"date":"2022-05-02","value":63381149731},{"date":"2022-05-03","value":182487735}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/cache":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Cache","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/0/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/0/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"cache_statistics":{"cache_statistic_line_chart":{"0":{"date":"2022-05-04","region":"Asia","ratio":"55.91%","hit":63284,"miss":16409,"total":113193,"others":33500,"bytes":32406624468},"1":{"date":"2022-05-05","region":"Asia","ratio":"60.72%","hit":71092,"miss":17546,"total":117085,"others":28447,"bytes":37182199418},"2":{"date":"2022-05-04","region":"Europe","ratio":"0%","hit":0,"miss":0,"total":0,"others":0,"bytes":18566154014},"3":{"date":"2022-05-05","region":"Europe","ratio":"27.59%","hit":8,"miss":13,"total":29,"others":8,"bytes":19793058339}},"cache_statistic_table":[{"hit":134376,"miss":33955,"others":61947,"total":230278,"bytes":69588823886,"region":"Asia","ratio":85.25},{"hit":8,"miss":13,"others":8,"total":29,"bytes":38359212353,"region":"Europe","ratio":55.17}]}},"edgegroups":{"africa":"Africa","asia":"Asia","au":"Australia","cis":"CIS","eu":"Europe","latam":"Latin America","me":"Middle East","na":"North America","ru":"Russia","sa":"South Africa"}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/topfiles":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Top Files","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"from/to/type, type -> dynamic","example":"/2022-05-04/2022-05-05/dynamic"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"top_files":{"top_fifty_files_table":[{"visitors":81,"requests":84630,"bytes":21934215724,"url":"/live/stream1/"},{"visitors":37,"requests":14320,"bytes":7052269941,"url":"/live/stream2/"}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/statuscodes":{"get":{"tags":["Reports - Volume/Premium"],"summary":"Status Codes","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"status_codes":{"status_code_line_chart":[{"date":"2022-05-04","request":112273,"code":"responses_2xx"},{"date":"2022-05-05","request":116232,"code":"responses_2xx"},{"date":"2022-05-04","request":0,"code":"responses_3xx"},{"date":"2022-05-05","request":0,"code":"responses_3xx"},{"date":"2022-05-04","request":920,"code":"responses_4xx"},{"date":"2022-05-05","request":882,"code":"responses_4xx"},{"date":"2022-05-04","request":0,"code":"responses_5xx"},{"date":"2022-05-05","request":0,"code":"responses_5xx"}],"status_code_table":[{"code":"responses_2xx","request":228505},{"code":"responses_3xx","request":0},{"code":"responses_4xx","request":1802},{"code":"responses_5xx","request":0}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/countries":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Country","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"countries":{"country_table":[{"visitors":245,"requests":229685,"bytes":69379380648,"country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"country":"SA Saudi Arabia"}],"country_line_chart":[{"visitors":138,"requests":112994,"bytes":32385578696,"date":"2022-05-04","country":"IN India"},{"visitors":122,"requests":116691,"bytes":36993801952,"date":"2022-05-05","country":"IN India"},{"visitors":1,"requests":29,"bytes":7860223,"date":"2022-05-05","country":"SA Saudi Arabia"}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/browsers":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Browsers","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"browsers":{"browser_table":[{"visitors":213,"requests":214486,"bytes":64268377830,"browser":"Chrome"},{"visitors":16,"requests":9195,"bytes":3330847111,"browser":"Safari"},{"visitors":8,"requests":2054,"bytes":903249408,"browser":"IE"},{"visitors":2,"requests":3924,"bytes":864915608,"browser":"Firefox"},{"visitors":3,"requests":42,"bytes":19841047,"browser":"Unknown"},{"visitors":2,"requests":11,"bytes":8349,"browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"browser":"Samsung"}],"browser_line_chart":[{"visitors":124,"requests":109313,"bytes":31381745032,"date":"2022-05-04","browser":"Chrome"},{"visitors":6,"requests":2768,"bytes":693946688,"date":"2022-05-04","browser":"Safari"},{"visitors":4,"requests":850,"bytes":281257186,"date":"2022-05-04","browser":"IE"},{"visitors":2,"requests":39,"bytes":18424291,"date":"2022-05-04","browser":"Unknown"},{"visitors":1,"requests":20,"bytes":10202463,"date":"2022-05-04","browser":"Firefox"},{"visitors":1,"requests":4,"bytes":3036,"date":"2022-05-04","browser":"Opera"},{"visitors":101,"requests":105173,"bytes":32886632798,"date":"2022-05-05","browser":"Chrome"},{"visitors":10,"requests":6427,"bytes":2636900423,"date":"2022-05-05","browser":"Safari"},{"visitors":2,"requests":3904,"bytes":854713145,"date":"2022-05-05","browser":"Firefox"},{"visitors":6,"requests":1204,"bytes":621992222,"date":"2022-05-05","browser":"IE"},{"visitors":1,"requests":3,"bytes":1416756,"date":"2022-05-05","browser":"Unknown"},{"visitors":1,"requests":7,"bytes":5313,"date":"2022-05-05","browser":"Opera"},{"visitors":2,"requests":2,"bytes":1518,"date":"2022-05-05","browser":"Samsung"}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/os":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By OS","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"os":{"os_table":[{"visitors":112,"requests":123945,"bytes":34166160551,"os":"Windows"},{"visitors":89,"requests":62856,"bytes":21031326081,"os":"Android"},{"visitors":17,"requests":22333,"bytes":6543538494,"os":"MacOSX"},{"visitors":7,"requests":14370,"bytes":5052390574,"os":"Linux"},{"visitors":20,"requests":6205,"bytes":2593806355,"os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"os":"Unknown"}],"os_line_chart":[{"visitors":57,"requests":57426,"bytes":15943263705,"date":"2022-05-04","os":"Windows"},{"visitors":53,"requests":31715,"bytes":9237156094,"date":"2022-05-04","os":"Android"},{"visitors":13,"requests":14483,"bytes":4030945302,"date":"2022-05-04","os":"MacOSX"},{"visitors":4,"requests":7423,"bytes":2461905553,"date":"2022-05-04","os":"Linux"},{"visitors":10,"requests":1942,"bytes":712289226,"date":"2022-05-04","os":"iOS"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","os":"Unknown"},{"visitors":64,"requests":66519,"bytes":18222896846,"date":"2022-05-05","os":"Windows"},{"visitors":42,"requests":31141,"bytes":11794169987,"date":"2022-05-05","os":"Android"},{"visitors":3,"requests":6947,"bytes":2590485021,"date":"2022-05-05","os":"Linux"},{"visitors":4,"requests":7850,"bytes":2512593192,"date":"2022-05-05","os":"MacOSX"},{"visitors":10,"requests":4263,"bytes":1881517129,"date":"2022-05-05","os":"iOS"}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/devices":{"get":{"tags":["Reports - Volume/Premium"],"summary":"By Device","parameters":[{"name":"zoneid","in":"path","description":"Zone ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"r","in":"query","schema":{"type":"string"},"description":"granularity/from/to Granularity: 0 (Minute), 1 (Hour), 2 (Day)","example":"2/2022-05-04/2022-05-05"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"},"example":{"result":"success","stats":{"device":{"device_table":[{"visitors":136,"requests":160648,"bytes":45762089619,"device":"Computer"},{"visitors":109,"requests":69061,"bytes":23625132436,"device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"device":"Tablet"}],"device_line_chart":[{"visitors":74,"requests":79332,"bytes":22436114560,"date":"2022-05-04","device":"Computer"},{"visitors":63,"requests":33657,"bytes":9949445320,"date":"2022-05-04","device":"Phone"},{"visitors":1,"requests":5,"bytes":18816,"date":"2022-05-04","device":"Tablet"},{"visitors":71,"requests":81316,"bytes":23325975059,"date":"2022-05-05","device":"Computer"},{"visitors":52,"requests":35404,"bytes":13675687116,"date":"2022-05-05","device":"Phone"}]}}}}}}}}},"/zones/reports/vod/push/{zoneid}/premium/logs":{"get":{"tags":["Reports - Volume/Premium"],"summary":"CDN Logs","parameters":[{"na
[...]
